



var channel = {
	init:function() {
		if(!$(".focus").length) return;
		this.urlAtt = common.getUrlAtt(); //获取地址属性
		if(!this.urlAtt.channel) this.urlAtt.channel = "index";
		var _this = this;
		this.root          = 0;
		this.picRoot       = 0; //初始化焦点
		this.focusLoadNum  = 4; //焦点加载数量
		this.listLoadNum   = 20; //列表加载数量
		this.listLoadIndex = 1;//列表加载页
		this.more          = false;  //更多
		this.nav           = common.$("navis"); // 导航
		this.s             = null;
		this.picList       = common.$("picList");
		//common.headerController("channel");
		
		var ot = null;
		common.addHandler(window,"orientationchange",function() {
			if(ot) clearTimeout(ot);
			ot = setTimeout(function() {
				channel.getClientW();
			},200);
		});
		common.addHandler(window,"resize",function() {
			clearTimeout(ot);
			ot = setTimeout(function() {
				channel.getClientW();
			},200);
		});
		
		this.focusTxt = [];
		var n = this.picList.getElementsByTagName("span");
		for(var i=0;i<n.length;i++) {
			this.focusTxt.push(n[i].innerHTML);
		}


		this.getClientW(true);
		
		
		this.lazyLoad();
		this.touchmoveFn();
		
		
		common.mtgotoTop();
		this.contentImages = new LazyLoad('pic');
		
		
		
		
	},
	getClientW:function(o) {
		var getClient      = common.getClient();
		channel.clientW    = getClient.clientW;
		channel.clientH    = getClient.clientH;
		channel.scrollT    = getClient.scrollT;
		if(!o) channel.sliderEnd(true);
	},
	bind:function(e) {
		channel.slide(e);
	},
	touchmoveFn:function() {
		var _this    = this;
		common.addHandler(this.picList,"touchstart",function(event) {
			var event     = arguments[0] || window.event;
			_this.ol      = this.style.webkitTransform.replace(/(translate3d\()?(px)?(\))?/g,"");
			_this.ol      = !_this.ol?0:parseInt(_this.ol.split(",")[0]);
			if(event.touches) {
				_this.startX  = event.touches[0].clientX;
				_this.startY  = event.touches[0].clientY;
			}else {
				_this.startX  = event.pageX;
				_this.startY  = event.pageY;
			}
			_this.slider  = false;
			common.addHandler(_this.picList,"touchmove",_this.bind);
		});
		
		common.addHandler(this.picList,"touchend",function() {
			common.removeHandler(_this.picList,"touchmove",_this.bind);
			if(!_this.slider) return;
			_this.slideEnd();
		});
	},
	slideEnd:function() {
		
		var poor = parseInt(channel.moveX-channel.startX);
		if(Math.abs(poor)>50) {
			if(poor>0&&channel.picRoot) {
				channel.picRoot--;
			}else if(channel.picRoot!=channel.focusLoadNum-1&&poor<0) {
				channel.picRoot++;
			}
		}

		channel.sliderEnd();
		
	},
	sliderEnd:function(o) {
		if(channel.loadTimeout) clearTimeout(channel.loadTimeout);
		var css = o?"":"-webkit-transition: -webkit-transform .2s ease-out;-ms-transition: -ms-transform .2s ease-out;transition: transform .2s ease-out;";
		channel.picList.style.cssText = "-webkit-transform:translate3d("+-channel.picRoot*(channel.clientW+10)+"px,0,0);" + css;
		channel.lazyLoad();
		common.$("base").getElementsByTagName("span").each(function(i) {
			if(i==channel.picRoot) {
				this.parentNode.childNodes.each(function() {
					this.removeClass("show");
					this.addClass("hide");
				});
				this.addClass("show");
				this.removeClass("hide");
				common.$("shorttitle").innerHTML = channel.focusTxt[i];
				$("#news_url").attr("href",$(".news_url").eq(i).attr("href"));
			}
		});
	},
	lazyLoad:function() {
		var pic = this.picList.getElementsByTagName("img").eq(this.picRoot);
		if(pic.getAttribute("loaded")) return;
		
		var obj = new Image();
		var ori  = pic.getAttribute("original");
		obj.src = ori;
		
		if(obj.complete) {
			_loadOk();
		}else {
			obj.onload = function(){ 
				_loadOk();
			}
		}
		function _loadOk() {
			pic.setAttribute("load","true");
			pic.src = ori;
		}
		
	},
	slide:function(event) {
		
		var event  = arguments[0] || window.event;
		if(event.touches) {
			this.moveX = event.touches[0].clientX;
			this.moveY = event.touches[0].clientY;
		}else {
			this.moveX = event.pageX;
			this.moveY = event.pageY;
		}
		var poorX  = Math.abs(parseInt(this.moveX-this.startX));
		var poorY  = Math.abs(parseInt(this.moveY-this.startY));
		
		if((!this.picRoot&&this.moveX>this.startX)||(this.picRoot==channel.focusLoadNum-1&&this.moveX<this.startX)) {
			var picOffset = this.ol+(this.moveX-this.startX)/4;
		}else {
			var picOffset = this.ol+this.moveX-this.startX;
		}
		
		if(poorX>poorY||this.slider) {
			this.slider = true;
			event.preventDefault();
			this.picList.style.cssText = "-webkit-transform:translate3d("+picOffset+"px,0,0)";
		}else {
			this.slider = false;
			common.removeHandler(this.picList,"touchmove",this.bind);
		}
	},
	posi:function(obj) {
		this.channelObj = obj;
		var l   = obj.offsetLeft,
			nav = common.$("naviLi").parentNode,
			wd  = obj.clientWidth,
			ch  = nav.clientWidth,
			ul  = common.$("naviLi").clientWidth,
			val = Math.abs(parseInt(l-(ch/2-wd/2)));
		
		
		if(l>ch/2&&l<(ul-ch/2)) {
			_run("-"+val);
		}else if(l<ch/2){
			_run(0);
		}else if(l>=(ul-ch/2)){
			_run("-"+(ul-ch));
		}
		
		function _run(val) {
			setTimeout(function() {
				if(common.v) {
					common.$("naviLi").style.webkitTransition = "-webkit-transform 0.2s ease-out";
					common.$("naviLi").style.webkitTransform  = "translate3d("+val+"px, 0px, 0px)";
				}else {
					common.$("naviLi").parentNode.scrollLeft = Math.abs(parseInt(val));
				}
			},500);
		}
		
	}
};