function setCookie(name, value) {
	var expdate = new Date();
	var argv = setCookie.arguments;	
	var argc = setCookie.arguments.length;
	var expires = (argc > 2) ? argv[2] : null;
	var path = (argc > 3) ? argv[3] : null;
	var domain = (argc > 4) ? argv[4] : null;
	var secure = (argc > 5) ? argv[5] : false;
	if (expires != null) expdate.setTime(expdate.getTime() + (expires * 1000));
	document.cookie = name + "=" + encodeURI(value) + ((expires == null) ? "": ("; expires=" + expdate.toGMTString())) + ((path == null) ? ("; path=/") : ("; path=" + path)) + ((domain == null) ? "": ("; domain=" + domain)) + ((secure == true) ? "; secure": "");
};
function getCookie(name) {
	var arg = name + "=";
	var alen = arg.length;
	var clen = document.cookie.length;
	var i = 0;
	while (i < clen) {
		var j = i + alen;
		if (document.cookie.substring(i, j) == arg) return getCookieVal(j);
		i = document.cookie.indexOf(" ", i) + 1;
		if (i == 0) break;
	};
	return null;
};
function getCookieVal(offset) {
	var endstr = document.cookie.indexOf(";", offset);
	if (endstr == -1) endstr = document.cookie.length;
	return decodeURI(document.cookie.substring(offset, endstr));
};
$(document).ready(function(){
	var cookieTime = 3600*24*7;
	$('#zy p').click(function(){
		var value = $(this).attr('name');$('#zy p').removeClass('hover');$(this).addClass('hover');setCookie('zy',value,cookieTime);
		if(value == 1){
			$('body').removeClass('night');
		}else if(value == 2){
			$('body').addClass('night');
		}		
	});
	$('#zh span').click(function(){
		var value = $(this).attr('name');$('#zh span').removeClass('hover');$(this).addClass('hover');setCookie('zh',value,cookieTime);
		$('body').removeClass('bodytxt bodytxta bodytxtb bodytxtc');
		if(value == 1){
			$('body').addClass('bodytxt');
		}else if(value == 2){
			$('body').addClass('bodytxta');
		}else if(value == 3){
			$('body').addClass('bodytxtb');
		}else if(value == 4){
			$('body').addClass('bodytxtc');
		}	
	});
	var zy = getCookie('zy');
	var zh = getCookie('zh');
	if(getCookie('zy')){		
		if(zy == 2){
			$('body').addClass('night');
		}	
	}
	if(getCookie('zh')){		
		if(zh == 1){
			$('body').addClass('bodytxt');
		}else if(zh == 2){
			$('body').addClass('bodytxta');
		}else if(zh == 3){
			$('body').addClass('bodytxtb');
		}else if(zh == 4){
			$('body').addClass('bodytxtc');
		}	
	}
	$("#zy p").each(function(){
	    if($(this).attr('name') == zy){
	    	$('#zy p').removeClass('hover');$(this).addClass('hover');
	    }
	  });
	$("#zh span").each(function(){
		if($(this).attr('name') == zh){
	    	$('#zh span').removeClass('hover');$(this).addClass('hover');
	    }
	  });
})

